%global debug_package %{nil}

Name:           oblige
Version:        7.70
Release:        2%{?dist}
Summary:        OBLIGE is a random level generator for the classic FPS 'DOOM'

License:        GPLv2
URL:            https://github.com/caligari87/Oblige
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  binutils
BuildRequires:  make
BuildRequires:  fltk-devel
BuildRequires:  libXft-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libjpeg-turbo-devel
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel
BuildRequires:  xdg-utils

%description
OBLIGE is a random level generator for the classic FPS 'DOOM'. The goal is to produce good levels which are fun to play.

%prep
%autosetup

%build
%make_build

%install
#Modified, but from the Makefile.  Makefile doesn't work with the chroot build env.
#binary goes to /usr/bin, data goes to /usr/share/oblige/*
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 Oblige $RPM_BUILD_ROOT%{_bindir}/oblige
install -d $RPM_BUILD_ROOT/usr/share/oblige/scripts
install -d $RPM_BUILD_ROOT/usr/share/oblige/engines
install -d $RPM_BUILD_ROOT/usr/share/oblige/modules
install -d $RPM_BUILD_ROOT/usr/share/oblige/addons
install -d $RPM_BUILD_ROOT/usr/share/oblige/language
install -m 644 scripts/*.lua $RPM_BUILD_ROOT/usr/share/oblige/scripts
install -m 644 engines/*.lua $RPM_BUILD_ROOT/usr/share/oblige/engines
install -m 644 modules/*.lua $RPM_BUILD_ROOT/usr/share/oblige/modules
install -m 644 addons/*.pk3 $RPM_BUILD_ROOT/usr/share/oblige/addons
install -m 644 language/*.*  $RPM_BUILD_ROOT/usr/share/oblige/language
install -d $RPM_BUILD_ROOT/usr/share//oblige/data
install -d $RPM_BUILD_ROOT/usr/share/oblige/data/bg
install -d $RPM_BUILD_ROOT/usr/share/oblige/data/masks
install -m 644 data/*.* $RPM_BUILD_ROOT/usr/share/oblige/data
install -m 644 data/bg/*.* $RPM_BUILD_ROOT/usr/share/oblige/data/bg
install -m 644 data/masks/*.* $RPM_BUILD_ROOT/usr/share/oblige/data/masks

rm -Rf $RPM_BUILD_ROOT/usr/share/oblige/games
cp -a games $RPM_BUILD_ROOT/usr/share/oblige/games

xdg-desktop-menu  install --novendor misc/oblige.desktop
xdg-icon-resource install --novendor --size 32 misc/oblige.xpm

%files
%{_bindir}/oblige
%{_datadir}/oblige/*


%changelog
* Thu Apr 14 2022 Andrew Schott <andrew@schotty.com> - 7.70-2
- Fixed issue with .desktop file

* Fri Apr 01 2022 Andrew Schott <andrew@schotty.com> - 7.70-1
- Initial build
- Patched to actually compile on linux
